org.eclipse.net4j.http.server

## Interface INet4jTransportServlet

- All Superinterfaces:
    javax.servlet.Servlet

      public interface INet4jTransportServlet
      extends javax.servlet.Servlet

  A `servlet` with a configured `request handler`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `INet4jTransportServlet.RequestHandler` Call-back that handles the requests that arrive at a `servlet`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `INet4jTransportServlet.RequestHandler` | `getRequestHandler()`
    `void` | `setRequestHandler(INet4jTransportServlet.RequestHandler handler)`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, init, service`

- - ### Method Detail

    - #### getRequestHandler

          INet4jTransportServlet.RequestHandler getRequestHandler()

    - #### setRequestHandler

          void setRequestHandler(INet4jTransportServlet.RequestHandler handler)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html